Skip to main content

Return Order Wrapper

Use this API to do multiple tasks in one go, namely creating a quick order, creating shipment, and finally assigning courier to the shipment.

This API integrates several other APIs to perform all these tasks together.

Task:

  • Create Return order
  • Create Return shipment
  • Run Internal serviceability check
  • Check Internal courier rule/priority
  • Assign awb
  • Schedule pickup

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/return_wrapper
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/return_wrapper' \
--header 'rapidshyp-token: *************517' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "1111111111",
"orderDate": "2025-08-25",
"is_qc_enabled":true,
"pickupLocation": {
"pickup_customer_name": "DO EPIC SHISP",
"pickup_customer_last_name": "DO EPIC SHSIPP",
"pickup_email": "abc@gmail.com",
"pickup_phone": "9999999999",
"pickup_address": "abGGG",
"pickup_address_2": "GG",
"pickup_pincode": "110001"
},
"storeName": "",
"return_reason_code": "",
"deliveryAddress_name": "",
"deliveryAddress": {
"deliverylocation_name": "Abhinavqaqa",
"contact_name": "Abhinavqaqa",
"delivery_address1": "abxhA hhhhhhhhhhhhhd gggggggggg",
"delivery_address2": "abxAhd hhhhhhhhhhhhhh gggggb hhh h",
"pincode": "110001",
"delivery_email": "abc@gmail.com",
"delivery_phone": "9999999999"
},
"orderItems": [
{
"itemName": "ARPTEST0023",
"sku": "ARPTEST0023",
"units": 2,
"unitPrice": 50.0,
"tax": 0.0,
"hsn": "HSN456",
"productLength": 11.0,
"productBreadth": 12.0,
"productHeight": 12.0,
"productWeight": 3.0,
"brand": "",
"serial_no":"",
"imei_no":"",

"images_name":["https://i.pinimg.com/736x/14/ec/3f/14ec3ff15e3335264723fe39fb9da735.jpg"],
"color":"red",
"size":"L"

}

],
"packageDetails": {
"packageLength": 11.0,
"packageBreadth": 11.0,
"packageHeight": 11.0,
"packageWeight": 1000.0
},
"comment":"this is return api"
}'
Request ParametersRequiredRemarkValidation
orderIdMandatorySeller order ID on channel/store/websiteMinimum 1 character
orderDateMandatoryOrder created date on channel/store/websiteFormat: YYYY-MM-DD
pickupLocation
pickup_customer_nameMandatoryCustomer first nameThe combined length of the first and last name in the pickup address must be between 3 and 75 characters.
pickup_customer_last_nameNon-MandatoryCustomer last name
pickup_emailNon-MandatoryCustomer email
pickup_phoneMandatoryCustomer phone numberPhone number must start from 6,7,8,9
pickup_addressMandatoryCustomer address line 1Pickup address line 1 must be between 3 and 100 characters long
pickup_address_2Non-MandatoryCustomer address line 2If entered, Pickup address line 2 must be between 3 and 100 characters long
pickup_pincodeMandatoryCustomer address pincodeMust be 6-digit valid pincode
},
storeNameMandatoryStore name created on RapidshypBy default, pass "DEFAULT"
return_reason_codeNon-MandatoryIf left blank, “others” is passed as return reasonReturn reason code sheet attached below
deliveryAddress_nameMandatoryMapped delivery location (warehouse name)
{
deliveryAddressNot required if a third party Warehouse location of Rapidshyp at their end.
deliverylocation_nameNot required if a third party Warehouse location of Rapidshyp at their end.
contact_nameNot required if a third party Warehouse location of Rapidshyp at their end.
delivery_address1Not required if a third party Warehouse location of Rapidshyp at their end.
delivery_address2Not required if a third party Warehouse location of Rapidshyp at their end.
pincodeNot required if a third party Warehouse location of Rapidshyp at their end.
delivery_emailNot required if a third party Warehouse location of Rapidshyp at their end.
delivery_phone
},
orderItems
[
{
itemNameMandatoryItem NameOrder line item name must be between 3 and 200 characters long.
skuNon-MandatoryItem SKU IdOrder line item SKU must be between 3 and 200 characters long.
unitsMandatoryQuantity of itemsItem quantity must be greater than 0 in items.
unitPriceMandatoryUnit price of SKU inclusive of Taxes
taxNon-MandatoryTaxPass 0 in case of zero tax item
hsnNon-MandatoryHSN code
productLengthNon-MandatoryProduct dimension lengthIn cm
productBreadthNon-MandatoryProduct dimension breadthIn cm
productHeightNon-MandatoryProduct dimension heightIn cm
productWeightNon-MandatoryProduct dimension weightIn gm
brandNon-MandatoryBrand name
packageDetailsMandatory
packageLengthMandatorypackageLengthIn cm
packageBreadthMandatorypackageBreadthIn cm
packageHeightMandatorypackageHeightIn cm
packageWeightMandatorypackageWeightIn gm
},
commentNon-MandatoryAny custom comment
}

Note: Incase third party wants to send the exact reason for return,you need to create mapping between Rapidshyp status code and their own status code.

return_reason_codereturn_reason_name
ITEM_DAMAGEDItem is damaged
WRONG_ITEMReceived wrong item
PARCEL_DAMAGED_ON_ARRIVALParcel damaged on arrival
QUALITY_NOT_AS_EXPECTEDQuality not as expected
MISSING_ITEMMissing item or accessories
PERFORMANCE_NOT_ADEQUATEPerformance not adequate
SIZE_NOT_AS_EXPECTEDSize not as expected
DOES_NOT_FITDoes not fit
NOT_AS_DESCRIBEDNot as described
ARRIVED_TOO_LATEArrived too late
CHANGED_MY_MINDChanged my mind
OTHEROther

Response:

JSON
{
"status": "SUCCESS",
"remark": "Courier are not serviceable on pin codes.",
"order_id": "1111111111",
"order_created": true,
"shipment": [
{
"awb_generated": false,
"pickup_generated": true,
"shipment_id": "1111111111",
"awb_code": "",
"courier_company_id": "",
"parent_courier_name": "",
"courier_name": "",
"applied_weight": 0.0,
"routing_code": "",
"rto_routing_code": "",
"pickup_token_number": "",
"pickup_scheduled_date": "",
"total_value": 100.0,
"shipment_items": [
{
"name": "ARPTEST0023",
"sku": "ARPTEST0023",
"units": 2,
"selling_price": 100.0
}
]
}
]
}